# Uses of Class
org.eclipse.net4j.util.collection.Entity.Builder

Packages that use Entity.Builder
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.

## Uses of Entity.Builder in org.eclipse.net4j.util.collection

Methods in org.eclipse.net4j.util.collection that return Entity.Builder
Modifier and Type
Method
Description
`Entity.Builder`
Entity.SingleNamespaceStore.`addEntity()`
`Entity.Builder`
Entity.SingleNamespaceStore.`addEntity(String name)`
`static Entity.Builder`
Entity.`builder()`
`static Entity.Builder`
Entity.`builder(String namespace)`
`static Entity.Builder`
Entity.`builder(String namespace, String name)`
`static Entity.Builder`
Entity.`builder(Entity source)`
`static Entity.Builder`
Entity.`builder(Entity.Builder source)`
`final Entity.Builder`
Entity.SingleNamespace.`entityBuilder()`
`final Entity.Builder`
Entity.SingleNamespace.`entityBuilder(String name)`
`Entity.Builder`
Entity.Builder.`name(String name)`
`Entity.Builder`
Entity.Builder.`namespace(String namespace)`
`Entity.Builder`
Entity.Builder.`postBuild(Consumer<Entity> handler)`
`Entity.Builder`
Entity.Builder.`preBuild(Consumer<Entity.Builder> handler)`
`Entity.Builder`
Entity.Builder.`properties(Map<String,String> properties)`
`Entity.Builder`
Entity.Builder.`property(String name, String value)`
`Entity.Builder`
Entity.Builder.`remove(Predicate<String> namePredicate)`
`Entity.Builder`
Entity.Builder.`retain(Predicate<String> namePredicate)`
`Entity.Builder`
Entity.Builder.`version(int version)`
Methods in org.eclipse.net4j.util.collection with parameters of type Entity.Builder
Modifier and Type
Method
Description
`static Entity.Builder`
Entity.`builder(Entity.Builder source)`
Method parameters in org.eclipse.net4j.util.collection with type arguments of type Entity.Builder
Modifier and Type
Method
Description
`Entity.Builder`
Entity.Builder.`preBuild(Consumer<Entity.Builder> handler)`